Bug 185033 - [PATCH] games/sauerbraten fix build on 10.0
Summary: [PATCH] games/sauerbraten fix build on 10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-20 16:00 UTC by me
Modified: 2014-01-25 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (734 bytes, patch)
2013-12-20 16:00 UTC, me
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description me 2013-12-20 16:00:00 UTC
[Patch sent to maintainer for comments on 2013-12-06 without response. Repeating it here for it not to get lost.]

games/sauerbraten fails on 10 due to loader changes.

Fix: With the patch attached, games/sauerbraten builds, packages, and runs on
10.0-RC2/amd64.

Moreover it still builds on 9.2-RELEASE with the only difference in the
package being libexec/sauer_client. The only difference from 'readelf
-a' on this file is the order of libX11.so.6 with respect to the other
libs. The patch seems save.

Patch attached with submission follows:
How-To-Repeat: Try to build games/sauerbraten on 10.0-RC2/amd64.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-20 16:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-25 22:02:57 UTC
Author: rakuco
Date: Sat Jan 25 22:02:50 2014
New Revision: 341119
URL: http://svnweb.freebsd.org/changeset/ports/341119
QAT: https://qat.redports.org/buildarchive/r341119/

Log:
  - Fix the build on 10 and beyond.
    Since r253839 ld(1) behaves more strictly and does not pull in indirect
    shared library dependencies (in this case, libX11.so). Upstream correctly
    has -lX11 in the linker line, but r315151 removed this section in
    patch-src_Makefile.
    Based on a patch by Jan Henrik Sylvester <me@janh.de> in [1].
  
  - While here, convert USE_GMAKE=yes to USES=gmake.
  
  PR:		ports/185033 [1]
  Submitted by:	Jan Henrik Sylvester <me@janh.de> [1]
  Approved by:	maintainer timeout (37 days)
  MFH:		2014Q1

Modified:
  head/games/sauerbraten/Makefile
  head/games/sauerbraten/files/patch-src_Makefile

Modified: head/games/sauerbraten/Makefile
==============================================================================
--- head/games/sauerbraten/Makefile	Sat Jan 25 21:58:31 2014	(r341118)
+++ head/games/sauerbraten/Makefile	Sat Jan 25 22:02:50 2014	(r341119)
@@ -14,7 +14,7 @@ COMMENT=	First person shooter based on C
 LICENSE_COMB=	multi
 LICENSE=	MIT ZLIB
 
-USE_GMAKE=	yes
+USES=		gmake
 GNU_CONFIGURE=	yes
 USE_BZIP2=	yes
 CONFIGURE_ENV=	ACLOCAL=true AUTOCONF=true AUTOMAKE=true

Modified: head/games/sauerbraten/files/patch-src_Makefile
==============================================================================
--- head/games/sauerbraten/files/patch-src_Makefile	Sat Jan 25 21:58:31 2014	(r341118)
+++ head/games/sauerbraten/files/patch-src_Makefile	Sat Jan 25 22:02:50 2014	(r341119)
@@ -17,7 +17,7 @@
 -CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
 -CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 +CLIENT_INCLUDES= $(INCLUDES) `${SDL_CONFIG} --cflags` -I${LOCALBASE}/include
-+CLIENT_LIBS= -Lenet/.libs -lenet `${SDL_CONFIG} --libs` -L${LOCALBASE}/lib -lSDL_image -lSDL_mixer -lz -lGL
++CLIENT_LIBS= -Lenet/.libs -lenet `${SDL_CONFIG} --libs` -L${LOCALBASE}/lib -lX11 -lSDL_image -lSDL_mixer -lz -lGL
  endif
  ifeq ($(PLATFORM),Linux)
  CLIENT_LIBS+= -lrt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-01-25 22:03:50 UTC
State Changed
From-To: open->closed

Thanks for the patch, I've committed a slightly different version with a 
longer explanation of the problem in r341119 (long story short, our ld 
has a stricter behavior and patch-src_Makefile was removing -lX11 while 
it shouldn't).
Comment 4 dfilter service freebsd_committer 2014-01-25 22:31:53 UTC
Author: rakuco
Date: Sat Jan 25 22:31:45 2014
New Revision: 341130
URL: http://svnweb.freebsd.org/changeset/ports/341130
QAT: https://qat.redports.org/buildarchive/r341130/

Log:
  MFH: r341119
  
  - Fix the build on 10 and beyond.
    Since r253839 ld(1) behaves more strictly and does not pull in indirect
    shared library dependencies (in this case, libX11.so). Upstream correctly
    has -lX11 in the linker line, but r315151 removed this section in
    patch-src_Makefile.
    Based on a patch by Jan Henrik Sylvester <me@janh.de> in [1].
  
  - While here, convert USE_GMAKE=yes to USES=gmake.
  
  PR:		ports/185033 [1]
  Submitted by:	Jan Henrik Sylvester <me@janh.de> [1]
  Approved by:	maintainer timeout (37 days)
  
  Approved by:	portmgr (antoine)

Modified:
  branches/2014Q1/games/sauerbraten/Makefile
  branches/2014Q1/games/sauerbraten/files/patch-src_Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/games/sauerbraten/Makefile
==============================================================================
--- branches/2014Q1/games/sauerbraten/Makefile	Sat Jan 25 22:30:09 2014	(r341129)
+++ branches/2014Q1/games/sauerbraten/Makefile	Sat Jan 25 22:31:45 2014	(r341130)
@@ -14,7 +14,7 @@ COMMENT=	First person shooter based on C
 LICENSE_COMB=	multi
 LICENSE=	MIT ZLIB
 
-USE_GMAKE=	yes
+USES=		gmake
 GNU_CONFIGURE=	yes
 USE_BZIP2=	yes
 CONFIGURE_ENV=	ACLOCAL=true AUTOCONF=true AUTOMAKE=true

Modified: branches/2014Q1/games/sauerbraten/files/patch-src_Makefile
==============================================================================
--- branches/2014Q1/games/sauerbraten/files/patch-src_Makefile	Sat Jan 25 22:30:09 2014	(r341129)
+++ branches/2014Q1/games/sauerbraten/files/patch-src_Makefile	Sat Jan 25 22:31:45 2014	(r341130)
@@ -17,7 +17,7 @@
 -CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
 -CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 +CLIENT_INCLUDES= $(INCLUDES) `${SDL_CONFIG} --cflags` -I${LOCALBASE}/include
-+CLIENT_LIBS= -Lenet/.libs -lenet `${SDL_CONFIG} --libs` -L${LOCALBASE}/lib -lSDL_image -lSDL_mixer -lz -lGL
++CLIENT_LIBS= -Lenet/.libs -lenet `${SDL_CONFIG} --libs` -L${LOCALBASE}/lib -lX11 -lSDL_image -lSDL_mixer -lz -lGL
  endif
  ifeq ($(PLATFORM),Linux)
  CLIENT_LIBS+= -lrt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"